namespace CSharpHardCodedProxy {
	using System;

	public class LoggingEmployee : IEmployee {
		private IEmployee realEmployee;

		public LoggingEmployee(IEmployee realEmployee) {
			LogMethodCall("Constructor");
			this.realEmployee = realEmployee;
		}

		public string FirstName {
			get {
				LogMethodCall("get_FirstName");
				return realEmployee.FirstName;
			}
		}
		public string LastName {
			get {
				LogMethodCall("get_LastName");
				return realEmployee.LastName;
			}
		}

		private void LogMethodCall(string method) {
			Console.WriteLine(method);
		}
	}
}
