namespace CSharpHardCodedProxy {
	
	public class LoggingEmployeeFactory : IEmployeeFactory {
		
		public IEmployee GetEmployee(string firstName, string lastName) {
			IEmployee actualEmployee = new Employee(firstName, lastName);
			return new LoggingEmployee(actualEmployee);
		}
	}

}
