import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class UnsynchronizedDateParser implements DateParser {

  private final DateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy");

  public Date parse(String text) throws ParseException {
    return dateFormat.parse(text);
  }

}
