namespace CSharpDynamicProxy {
	
	public class LoggingEmployeeFactory : IEmployeeFactory {
		
		public IEmployee GetEmployee(string firstName, string lastName) {
			IEmployee emp = new Employee(firstName, lastName);
			return (IEmployee) LoggingProxy.GetProxy(emp, typeof(IEmployee));
		}
	}

}
