package JavaHardCodedProxy;

public class LoggingEmployeeImpl implements Employee {
	private Employee realEmployee;
	
	public LoggingEmployeeImpl(Employee realEmployee) {
		logMethodCall("constructor");
		this.realEmployee = realEmployee;
	}
	public String getFirstName() {
		logMethodCall("getFirstName()");
		return realEmployee.getFirstName();
	}
	public String getLastName() {
		logMethodCall("getLastName()");
		return realEmployee.getLastName();
	}
	
	private void logMethodCall(String method) {
		//Do logging
		System.out.println(method);
	}
}
